<html>

<!--menggunakan directive ng-click-->
<div class="content">

  <button ng-click="orderedtype = 'name'">Order by Name</button>
  <button ng-click="orderedtype = '-rate'">Order by Rate</button>

  <!--ng repeat dengan currency dan juga fraction nya dihilangkan dengan directive-->
  <input type="text" ng-model="search.name" placeholder="kata pencarian">

  <div>
    <ul id="csslistfr">
      <li ng-repeat="itemtekno in listfm.teknologiwebObj | orderBy: orderedtype | filter: search"
          ng-show="itemtekno.available">

        <img class="imgstylelist" ng-src="{{itemtekno.imgs}}" alt="thumb" ng-show="itemtekno.imgs">
        <h3>{{itemtekno.name}} - {{itemtekno.rate | currency: 'IDR ':0}}</h3>
        <div class="remove" ng-click="listfm.removeFramework(itemtekno)">x</div>
        <span class="belt" style="background: {{itemtekno.tipewarna}}">{{itemtekno.tipewarna}}</span>

      </li>
    </ul>


    <form ng-submit="listfm.addNewFramework()">
      <input type="text" placeholder="nama framework" ng-model="listfm.teknologiItem.name">
      <input type="text" placeholder="tipewarna" ng-model="listfm.teknologiItem.tipewarna">
      <input type="text" placeholder="rating" ng-model="listfm.teknologiItem.rate">
      <input type="submit" value="Add Framework">
    </form>

    <a href="" ng-click="listfm.removeAlls()">Remove All Framework</a>

  </div>

</div>
</html>
